> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# User Payload Schema

> JSON Schema for the user write payloads.

Generated from the models that validate the requests, so it cannot drift
from what `edit` / `batch-edit` / `set-limits` accept.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/users/payload-schema
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/users/payload-schema:
    get:
      tags:
        - admin-users
      summary: User Payload Schema
      description: |-
        JSON Schema for the user write payloads.

        Generated from the models that validate the requests, so it cannot drift
        from what `edit` / `batch-edit` / `set-limits` accept.
      operationId: user_payload_schema_api_admin_users_payload_schema_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_dict_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_dict_:
      properties:
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[dict]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````